org.apache.ignite.internal.util.lang

## Class IgnitePredicateX<E1>

- java.lang.Object
- - org.apache.ignite.internal.util.lang.IgnitePredicateX<E1>

All Implemented Interfaces:
  Serializable, IgnitePredicate<E1>

Direct Known Subclasses:
  PX1

    public abstract class IgnitePredicateX<E1>
    extends Object
    implements IgnitePredicate<E1>

Convenient predicate subclass that allows for thrown grid exception. This class implements `apply(Object)` method that calls `applyx(Object)` method and properly wraps `IgniteCheckedException` into `GridClosureException` instance.

See Also:
  `PX1`, Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`IgnitePredicateX()`

### Method Summary

Methods
`boolean` `apply(E1 e)` Predicate body.
`abstract boolean` `applyx(E1 e)` Predicate body that can throw `IgniteCheckedException`.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### IgnitePredicateX

    public IgnitePredicateX()

### Method Detail

#### apply

    public boolean apply(E1 e)

Predicate body.

Specified by:
  `apply` in interface `IgnitePredicate<E1>`
Parameters:
  `e` - Predicate parameter.
Returns:
  Return value.

#### applyx

    public abstract boolean applyx(E1 e)
                            throws IgniteCheckedException

Predicate body that can throw `IgniteCheckedException`.

Parameters:
  `e` - Bound free variable, i.e. the element the predicate is called or closed on.
Returns:
  Return value.
Throws:
  `IgniteCheckedException` - Thrown in case of any error condition inside of the predicate.

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.2.0-incubating
Release Date | : June 16 2015